'use strict';

var index = require('./index-BjHIBY-I.js');
var config = require('./config-dit--4m5.js');

const ConfigComponent = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    componentDidLoad() {
        this.setGlobalConfig();
    }
    componentDidUpdate() {
        this.setGlobalConfig();
    }
    /*
     * Copy any config settings to the global config object
     */
    setGlobalConfig() {
        if (!this.config) {
            return;
        }
        for (const key of Object.keys(this.config)) {
            config.globalConfig[key] = this.config[key];
        }
    }
    render() {
        return null;
    }
};

exports.limel_config = ConfigComponent;
